classification
Title: asyncio: Document that TCP_NODELAY is now used by default
Type: enhancement Stage: resolved
Components: asyncio, Documentation Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, berker.peksag, docs@python, gvanrossum, ned.deily, python-dev, vstinner, yselivanov
Priority: Keywords: easy, patch

Created on 2016-09-12 01:33 by yselivanov, last changed 2016-12-16 07:54 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
issue28089.patch Mariatta, 2016-12-06 03:27 review
issue28089v2.patch Mariatta, 2016-12-06 03:49 review
Messages (14)
msg282459 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-12-05 20:16
This is marked as a release blocker but, since it's just a doc change, I'm not going to hold 3.6.0 for it.  It would be nice to get it in, though.
msg282466 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2016-12-05 21:55
Yury: I don't understand your issue, can you please elaborate? Do you mean that the default value of the TCP_NODELAY changed in Python 3.6? Otherwise, why do you consider it as a release blocker?

The Python 3.6 release must be blocked by a TCP flag? Really?
msg282470 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2016-12-05 22:12
The change is that TCP_NODELAY option is set by default in 3.6. It was not the case in 3.5.
msg282471 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2016-12-05 22:15
> The change is that TCP_NODELAY option is set by default in 3.6. It was not the case in 3.5.

Ah, it's a change in _asyncio_, ok. I missed that from the issue title, so I changed the title.
msg282495 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2016-12-06 03:27
I added the following to Doc/library/asyncio-protocol.rst

.. versionchanged:: 3.6.0
   The socket option TCP_NODELAY is now set by default.

Let me know if this patch works.
msg282497 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-12-06 03:44
+.. versionchanged:: 3.6.0

3.6.0 -> 3.6

+   The socket option TCP_NODELAY is now set by default.

TCP_NODELAY -> ``TCP_NODELAY``
msg282498 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2016-12-06 03:49
Thanks, Berker :)
Updated.
msg282510 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-12-06 10:00
New changeset 726308cfe3b5 by Victor Stinner in branch '3.6':
catch_warnings() calls showwarning() if overriden
https://hg.python.org/cpython/rev/726308cfe3b5
msg282511 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-12-06 10:03
New changeset 150d36dbe3ba by Victor Stinner in branch '3.6':
warnings: Fix the issue number
https://hg.python.org/cpython/rev/150d36dbe3ba
msg283050 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-12-12 21:37
Yury, look good to you?
msg283053 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-12-12 21:45
New changeset 853e3f4d6cd9 by Yury Selivanov in branch '3.6':
Issue #28089: Document TCP_NODELAY in asyncio
https://hg.python.org/cpython/rev/853e3f4d6cd9

New changeset 0d209cc7ffdc by Yury Selivanov in branch 'default':
Merge 3.6 (issue #28089)
https://hg.python.org/cpython/rev/0d209cc7ffdc
msg283054 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-12-12 21:46
> Yury, look good to you?

Yes; committed the patch with a small addition.  Thanks, Mariatta!
msg283377 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-12-16 07:44
New changeset dfd1019f75f9 by Yury Selivanov in branch '3.6':
Issue #28089: Document TCP_NODELAY in asyncio
https://hg.python.org/cpython/rev/dfd1019f75f9
msg283384 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-12-16 07:54
[cherrypicked for 3.6.0rc2]
History
Date User Action Args
2016-12-16 07:54:15ned.deilysetpriority: deferred blocker ->

messages: + msg283384
2016-12-16 07:44:47python-devsetmessages: + msg283377
2016-12-12 21:46:32yselivanovsetstatus: open -> closed
resolution: fixed
messages: + msg283054

stage: commit review -> resolved
2016-12-12 21:45:29python-devsetmessages: + msg283053
2016-12-12 21:37:21ned.deilysetstage: patch review -> commit review
messages: + msg283050
versions: + Python 3.7
2016-12-06 10:03:16python-devsetmessages: + msg282511
2016-12-06 10:00:40python-devsetnosy: + python-dev
messages: + msg282510
2016-12-06 03:49:45Mariattasetfiles: + issue28089v2.patch

messages: + msg282498
2016-12-06 03:44:12berker.peksagsetnosy: + berker.peksag

messages: + msg282497
stage: needs patch -> patch review
2016-12-06 03:27:33Mariattasetfiles: + issue28089.patch
keywords: + patch
messages: + msg282495
2016-12-05 22:15:03vstinnersetmessages: + msg282471
2016-12-05 22:14:11vstinnersettitle: Document TCP_NODELAY by default -> asyncio: Document that TCP_NODELAY is now used by default
2016-12-05 22:12:16Mariattasetmessages: + msg282470
2016-12-05 21:55:51vstinnersetmessages: + msg282466
2016-12-05 20:16:44ned.deilysetpriority: release blocker -> deferred blocker

messages: + msg282459
2016-10-01 21:39:21Mariattasetnosy: + Mariatta
2016-09-12 01:33:48yselivanovcreate